using API.Models.Internal.User;

namespace API.Repository.RegistrationKeyRepo;

public interface IRegistrationKeyService
{
    public Task<List<RegistrationKey>> GetAllAsync();
    public Task<RegistrationKey?> GetAsync(string id);
    public Task<RegistrationKey> CreateAsync(RegistrationKeyIngoing key);
    public Task<RegistrationKey?> DeleteAsync(string id);

    public Task<int> DeleteOldRegistrationKeysAsync(int x);
}